This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Update CPANPLUS-Dist-Build to CPAN version 0.50
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Fri, 29 Oct 2010 08:49:11 +0000 (09:49 +0100)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Fri, 29 Oct 2010 08:49:11 +0000 (09:49 +0100)
  [DELTA]

  0.50 Thu Oct 28 23:02:19 BST 2010
    - We clear the relevant env vars that effect Module::Build
      during the 'install' test. local::lib and cpanm set these.

Porting/Maintainers.pl
cpan/CPANPLUS-Dist-Build/lib/CPANPLUS/Dist/Build.pm
cpan/CPANPLUS-Dist-Build/lib/CPANPLUS/Dist/Build/Constants.pm
cpan/CPANPLUS-Dist-Build/t/02_CPANPLUS-Dist-Build.t
pod/perldelta.pod

index c59b287..a9b0a85 100755 (executable)
@@ -421,7 +421,7 @@ use File::Glob qw(:case);
     'CPANPLUS::Dist::Build' =>
        {
        'MAINTAINER'    => 'bingos',
-       'DISTRIBUTION'  => 'BINGOS/CPANPLUS-Dist-Build-0.48.tar.gz',
+       'DISTRIBUTION'  => 'BINGOS/CPANPLUS-Dist-Build-0.50.tar.gz',
        'FILES'         => q[cpan/CPANPLUS-Dist-Build],
        'EXCLUDED'      => [ qr{^inc/},
                             qw{ t/99_pod.t
index 65cd033..f6ec26d 100644 (file)
@@ -30,7 +30,7 @@ use Locale::Maketext::Simple    Class => 'CPANPLUS', Style => 'gettext';
 
 local $Params::Check::VERBOSE = 1;
 
-$VERSION = '0.48';
+$VERSION = '0.50';
 
 =pod
 
index 1ca6284..a6c22db 100644 (file)
@@ -9,7 +9,7 @@ BEGIN {
     require Exporter;
     use vars    qw[$VERSION @ISA @EXPORT];
   
-    $VERSION    = '0.48';
+    $VERSION    = '0.50';
     @ISA        = qw[Exporter];
     @EXPORT     = qw[ BUILD_DIR BUILD ];
 }
index 23f9398..945a906 100644 (file)
@@ -145,7 +145,10 @@ while( my($path,$need_cc) = each %Map ) {
         SKIP: {
             skip("Install tests require Module::Build 0.2606 or higher", 2)
                 unless $Module::Build::VERSION >= '0.2606';
-        
+
+            local $ENV{MODULEBUILDRC};
+            local $ENV{PERL_MB_OPT};
+
             ### flush the lib cache
             ### otherwise, cpanplus thinks the module's already installed
             ### since the blib is already in @INC
index 8037d47..3bb9915 100644 (file)
@@ -203,6 +203,10 @@ C<CPAN> has been upgraded from 1.94_61 to 1.94_62
 
 =item *
 
+C<CPANPLUS::Dist::Build> has been upgraded from 0.48 to 0.50
+
+=item *
+
 C<ExtUtils::Constant> has been upgraded from 0.22 to 0.23.
 
 =item *